- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CORBA::Principal Class Reference

A "Principal" identifies an authenticated entity in the network administration framework. More...

`#include <Principal.h>`

Collaboration diagram for CORBA::Principal:

[legend]
List of all members.

## Public Types
typedef Principal_ptr | _ptr_type
typedef Principal_var | _var_type
## Public Member Functions
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
| Principal (void)
## Static Public Member Functions
static Principal * | _duplicate (Principal *)
static Principal * | _nil (void)
## Public Attributes
CORBA::OctetSeq | id
## Protected Member Functions
| ~Principal (void)
| Destructor.
## Private Member Functions
Principal & | operator= (const CORBA::Principal_ptr &)
| Principal (const CORBA::Principal_ptr &)
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, CORBA::ULong > | refcount_
| Reference counter.

## Detailed Description

A "Principal" identifies an authenticated entity in the network administration framework.

Identities are used to control acccess (authorization) as well as in audit trails (accountability).

Note:
  This CORBA feature has been deprecated by the OMG. Use the CORBA Security Service instead.

## Member Typedef Documentation

typedef Principal_ptr CORBA::Principal::_ptr_type

typedef Principal_var CORBA::Principal::_var_type

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Principal::Principal | ( | void |  | ) |

CORBA::Principal::~Principal | ( | void |  | ) | `[protected]`

Destructor.

Protected destructor to enforce proper memory management through the reference counting mechanism.

CORBA::Principal::Principal | ( | const CORBA::Principal_ptr & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE CORBA::ULong CORBA::Principal::_decr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::Principal * CORBA::Principal::_duplicate | ( | Principal * |  | ) | `[static]`

ACE_INLINE CORBA::ULong CORBA::Principal::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::Principal * CORBA::Principal::_nil | ( | void |  | ) | `[static]`

Principal& CORBA::Principal::operator= | ( | const CORBA::Principal_ptr & |  | ) | `[private]`

## Member Data Documentation

CORBA::OctetSeq CORBA::Principal::id

ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> CORBA::Principal::refcount_`[private]`

Reference counter.

The documentation for this class was generated from the following files:

- Principal.h
- Principal.cpp
- Principal.i